unit Main;

interface

uses
  Windows, SysUtils, Classes, Controls, Forms,
  AutoUpgrader, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    ProgressLabel: TLabel;
    Button1: TButton;
    ProgressBar: TProgressBar;
    AutoUpgrader1: TAutoUpgrader;
    procedure Button1Click(Sender: TObject);
    procedure AutoUpgrader1Error(Sender: TObject);
    procedure AutoUpgrader1NoUpdateAvailable(Sender: TObject);
    procedure AutoUpgrader1Done(Sender: TObject; FileSize: Integer);
    procedure AutoUpgrader1Upgrade(Sender: TObject; UsersServed: Integer;
      var ShowMessageBox, CanUpgrade: Boolean);
    procedure AutoUpgrader1Progress(Sender: TObject; TotalSize, ReadSize,
      ReadPercents: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  AutoUpgrader1.CheckUpdate;
end;

procedure TForm1.AutoUpgrader1Error(Sender: TObject);
begin
  Application.MessageBox(PChar('An error has occurred on upgrading.'#13#10#10'Possible reasons:'#13#10 +
                         ' 1. No Internet connection or connection lost.'#13#10 +
                         ' 2. Update file not found (Check out #url variable'#13#10'     in the Info-file).'), PChar(Application.Title), mb_Ok or mb_IconStop);
end;

procedure TForm1.AutoUpgrader1NoUpdateAvailable(Sender: TObject);
begin
  Application.MessageBox('No update available.', PChar(Application.Title), mb_Ok or mb_IconInformation);
end;

procedure TForm1.AutoUpgrader1Done(Sender: TObject; FileSize: Integer);
begin
  Application.MessageBox('Upgrade done. Press OK to restart program', PChar(Application.Title), mb_Ok or mb_IconInformation);
end;

procedure TForm1.AutoUpgrader1Upgrade(Sender: TObject;
  UsersServed: Integer; var ShowMessageBox, CanUpgrade: Boolean);
begin
  ProgressBar.Visible := True;
  ProgressLabel.Visible := True;
end;

procedure TForm1.AutoUpgrader1Progress(Sender: TObject; TotalSize,
  ReadSize, ReadPercents: Integer);
begin
  ProgressBar.Position := ReadPercents;
  ProgressLabel.Caption := 'Auto-upgrading: ' + IntToStr(ReadPercents) + '% done...';
end;

end.
